---
- name: install apache2
  apt: name=apache2 update_cache=yes

- name: enable apache ensure it is not masked
  systemd:
    name: apache2
    state: started
    enabled: true

- name: disable default sites
  file:
    state: absent
    path: "/etc/apache2/sites-enabled/{{ item }}"
  with_items:
    - 000-default.conf
    - default-ssl.conf

- name: remove default sites
  file:
    state: absent
    path: "/etc/apache2/sites-available/{{ item }}"
  with_items:
    - 000-default.conf
    - default-ssl.conf

- name: enabled mod_rewrite
  apache2_module: name=rewrite state=present
  notify:
    - apache2 restart
